Description

DOpo installazione fuss-server, e avvio di client via pxe, non riesco a collegarmi con ssh per uploadare immagine, le credenziali
dell'utente clonezilla nella home di root non sono buone.

History

#1 - 01/20/2017 03:37 PM - Simone Piccardi

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Con quale installazione del server e con quale programma di virtualizzazione stai facendo le prove?

Il test che ho appena fatto con una debian liscia + fuss-server su Virtualbox non hanno questo problema. Le credenziali funzionano e si accede senza
problemi.

#2 - 01/20/2017 03:41 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Simone Piccardi ha scritto:

Con quale installazione del server e con quale programma di virtualizzazione stai facendo le prove?

Server da ISO server, dove ho buildato e installato fuss-server da HEAD. Il problema ce I'ho sia con virtualbox debian che virtualbox oracle.

Il test che ho appena fatto con una debian liscia + fuss-server su Virtualbox non hanno questo problema. Le credenziali funzionano e si accede
senza problemi.

Hai provato a fare piu' esecuzioni di fuss-server create?

#3 - 01/20/2017 03:56 PM - Simone Piccardi
Christopher R. Gabriel ha scritto:

Hai provato a fare piu' esecuzioni di fuss-server create?

Una sola.

L'unico problema riscontrato & su #170, e comunque mi impediva I'avvio via PXE, fatto manualmente un restart gli altri problemi non si sono
manifestati.

La iso nuova & disponibile o0 me la devo ricostruire?

#4 - 01/23/2017 01:01 PM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Ho provato ad eseguire due volte fuss-server create su macchina pulita e neanche io riesco a riprodurre il problema: I'utente fuss-server continua ad
avere la password che viene salvata in /root/clonezilla_cred.txt.

Pensando a potenziali problemi, questi sono gli step che vengono fatti:

se necessario, viene creato l'utente clonezilla (senza fare nulla alla password).
verificare se il file /root/clonezilla_cred.ixt esiste

solo se non esiste, viene generata una password

solo se non esiste, viene salvata li dentro la password appena generata

solo se non esiste, viene crittata quella password ed impostata per 'utente

nessuna di queste operazioni dipende da fattori esterni (tipo presenza della rete), per cui ansible non ha motivo di interrompersi, e quindi dovrebbe
tutto arrivare a buon fine.

Pero se non ricordo male c'é stato un bug nella crittografia della password: & possibile che alla prima esecuzione si sia interrotto su quel bug (ora
fixato) e che quindi sia rimasto con l'utente senza password impostata? Nel caso basta cancellare il file /root/clonezilla_cred.txt per farla ricreare.

Nel dubbio, ho spostato il salvataggio della password alla fine delle operazioni, cosi se c¢'e qualche fallimento intermedio all'esecuzione successiva
non c'é il file nella home di root e ne viene ricreata una nuova.

#5 - 03/01/2017 01:27 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso
https://work.fuss.bz.it/issues/170

Ora non riesco piu' a riprodurlo, quindi a posto, chiudo.
